package com.hfkj.dao;

import com.hfkj.entity.BsMer;
import com.hfkj.entity.BsMerExample.Criteria;
import com.hfkj.entity.BsMerExample.Criterion;
import com.hfkj.entity.BsMerExample;
import java.util.List;
import java.util.Map;
import org.apache.ibatis.jdbc.SQL;

public class BsMerSqlProvider {

    public String countByExample(BsMerExample example) {
        SQL sql = new SQL();
        sql.SELECT("count(*)").FROM("bs_mer");
        applyWhere(sql, example, false);
        return sql.toString();
    }

    public String deleteByExample(BsMerExample example) {
        SQL sql = new SQL();
        sql.DELETE_FROM("bs_mer");
        applyWhere(sql, example, false);
        return sql.toString();
    }

    public String insertSelective(BsMer record) {
        SQL sql = new SQL();
        sql.INSERT_INTO("bs_mer");
        
        if (record.getOrgNo() != null) {
            sql.VALUES("org_no", "#{orgNo,jdbcType=VARCHAR}");
        }
        
        if (record.getOrgName() != null) {
            sql.VALUES("org_name", "#{orgName,jdbcType=VARCHAR}");
        }
        
        if (record.getCompanyId() != null) {
            sql.VALUES("company_id", "#{companyId,jdbcType=BIGINT}");
        }
        
        if (record.getCompanyName() != null) {
            sql.VALUES("company_name", "#{companyName,jdbcType=VARCHAR}");
        }
        
        if (record.getAgentId() != null) {
            sql.VALUES("agent_id", "#{agentId,jdbcType=BIGINT}");
        }
        
        if (record.getAgentName() != null) {
            sql.VALUES("agent_name", "#{agentName,jdbcType=VARCHAR}");
        }
        
        if (record.getSalesmanId() != null) {
            sql.VALUES("salesman_id", "#{salesmanId,jdbcType=BIGINT}");
        }
        
        if (record.getSalesmanName() != null) {
            sql.VALUES("salesman_name", "#{salesmanName,jdbcType=VARCHAR}");
        }
        
        if (record.getRegPhone() != null) {
            sql.VALUES("reg_phone", "#{regPhone,jdbcType=VARCHAR}");
        }
        
        if (record.getRegName() != null) {
            sql.VALUES("reg_name", "#{regName,jdbcType=VARCHAR}");
        }
        
        if (record.getRegEmail() != null) {
            sql.VALUES("reg_email", "#{regEmail,jdbcType=VARCHAR}");
        }
        
        if (record.getMerType() != null) {
            sql.VALUES("mer_type", "#{merType,jdbcType=INTEGER}");
        }
        
        if (record.getMerNo() != null) {
            sql.VALUES("mer_no", "#{merNo,jdbcType=VARCHAR}");
        }
        
        if (record.getMerName() != null) {
            sql.VALUES("mer_name", "#{merName,jdbcType=VARCHAR}");
        }
        
        if (record.getMerAbbreviate() != null) {
            sql.VALUES("mer_abbreviate", "#{merAbbreviate,jdbcType=VARCHAR}");
        }
        
        if (record.getMerOperateType() != null) {
            sql.VALUES("mer_operate_type", "#{merOperateType,jdbcType=INTEGER}");
        }
        
        if (record.getMerOnlineType() != null) {
            sql.VALUES("mer_online_type", "#{merOnlineType,jdbcType=INTEGER}");
        }
        
        if (record.getMerOnlineName() != null) {
            sql.VALUES("mer_online_name", "#{merOnlineName,jdbcType=VARCHAR}");
        }
        
        if (record.getMerMccCode() != null) {
            sql.VALUES("mer_mcc_code", "#{merMccCode,jdbcType=VARCHAR}");
        }
        
        if (record.getMerMccName() != null) {
            sql.VALUES("mer_mcc_name", "#{merMccName,jdbcType=VARCHAR}");
        }
        
        if (record.getBlisUrl() != null) {
            sql.VALUES("blis_url", "#{blisUrl,jdbcType=VARCHAR}");
        }
        
        if (record.getBlisName() != null) {
            sql.VALUES("blis_name", "#{blisName,jdbcType=VARCHAR}");
        }
        
        if (record.getBlisNo() != null) {
            sql.VALUES("blis_no", "#{blisNo,jdbcType=VARCHAR}");
        }
        
        if (record.getBlisRegAddress() != null) {
            sql.VALUES("blis_reg_address", "#{blisRegAddress,jdbcType=VARCHAR}");
        }
        
        if (record.getBlisPeriodType() != null) {
            sql.VALUES("blis_period_type", "#{blisPeriodType,jdbcType=INTEGER}");
        }
        
        if (record.getBlisPeriodStart() != null) {
            sql.VALUES("blis_period_start", "#{blisPeriodStart,jdbcType=VARCHAR}");
        }
        
        if (record.getBlisPeriodEnd() != null) {
            sql.VALUES("blis_period_end", "#{blisPeriodEnd,jdbcType=VARCHAR}");
        }
        
        if (record.getLarName() != null) {
            sql.VALUES("lar_name", "#{larName,jdbcType=VARCHAR}");
        }
        
        if (record.getLarIdCard() != null) {
            sql.VALUES("lar_id_card", "#{larIdCard,jdbcType=VARCHAR}");
        }
        
        if (record.getLarIdCardPortraitImg() != null) {
            sql.VALUES("lar_id_card_portrait_img", "#{larIdCardPortraitImg,jdbcType=VARCHAR}");
        }
        
        if (record.getLarIdCardNationalEmblemImg() != null) {
            sql.VALUES("lar_id_card_national_emblem_img", "#{larIdCardNationalEmblemImg,jdbcType=VARCHAR}");
        }
        
        if (record.getLarIdCardAddress() != null) {
            sql.VALUES("lar_id_card_address", "#{larIdCardAddress,jdbcType=VARCHAR}");
        }
        
        if (record.getLarIdCardPeriodType() != null) {
            sql.VALUES("lar_id_card_period_type", "#{larIdCardPeriodType,jdbcType=INTEGER}");
        }
        
        if (record.getLarIdCardPeriodStart() != null) {
            sql.VALUES("lar_id_card_period_start", "#{larIdCardPeriodStart,jdbcType=VARCHAR}");
        }
        
        if (record.getLarIdCardPeriodEnd() != null) {
            sql.VALUES("lar_id_card_period_end", "#{larIdCardPeriodEnd,jdbcType=VARCHAR}");
        }
        
        if (record.getCompleteStatus() != null) {
            sql.VALUES("complete_status", "#{completeStatus,jdbcType=INTEGER}");
        }
        
        if (record.getMerStatus() != null) {
            sql.VALUES("mer_status", "#{merStatus,jdbcType=INTEGER}");
        }
        
        if (record.getCreateSalesmanId() != null) {
            sql.VALUES("create_salesman_id", "#{createSalesmanId,jdbcType=BIGINT}");
        }
        
        if (record.getCreateSalesmanName() != null) {
            sql.VALUES("create_salesman_name", "#{createSalesmanName,jdbcType=VARCHAR}");
        }
        
        if (record.getCreateTime() != null) {
            sql.VALUES("create_time", "#{createTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getUpdateTime() != null) {
            sql.VALUES("update_time", "#{updateTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getExt1() != null) {
            sql.VALUES("ext_1", "#{ext1,jdbcType=VARCHAR}");
        }
        
        if (record.getExt2() != null) {
            sql.VALUES("ext_2", "#{ext2,jdbcType=VARCHAR}");
        }
        
        if (record.getExt3() != null) {
            sql.VALUES("ext_3", "#{ext3,jdbcType=VARCHAR}");
        }
        
        return sql.toString();
    }

    public String selectByExample(BsMerExample example) {
        SQL sql = new SQL();
        if (example != null && example.isDistinct()) {
            sql.SELECT_DISTINCT("id");
        } else {
            sql.SELECT("id");
        }
        sql.SELECT("org_no");
        sql.SELECT("org_name");
        sql.SELECT("company_id");
        sql.SELECT("company_name");
        sql.SELECT("agent_id");
        sql.SELECT("agent_name");
        sql.SELECT("salesman_id");
        sql.SELECT("salesman_name");
        sql.SELECT("reg_phone");
        sql.SELECT("reg_name");
        sql.SELECT("reg_email");
        sql.SELECT("mer_type");
        sql.SELECT("mer_no");
        sql.SELECT("mer_name");
        sql.SELECT("mer_abbreviate");
        sql.SELECT("mer_operate_type");
        sql.SELECT("mer_online_type");
        sql.SELECT("mer_online_name");
        sql.SELECT("mer_mcc_code");
        sql.SELECT("mer_mcc_name");
        sql.SELECT("blis_url");
        sql.SELECT("blis_name");
        sql.SELECT("blis_no");
        sql.SELECT("blis_reg_address");
        sql.SELECT("blis_period_type");
        sql.SELECT("blis_period_start");
        sql.SELECT("blis_period_end");
        sql.SELECT("lar_name");
        sql.SELECT("lar_id_card");
        sql.SELECT("lar_id_card_portrait_img");
        sql.SELECT("lar_id_card_national_emblem_img");
        sql.SELECT("lar_id_card_address");
        sql.SELECT("lar_id_card_period_type");
        sql.SELECT("lar_id_card_period_start");
        sql.SELECT("lar_id_card_period_end");
        sql.SELECT("complete_status");
        sql.SELECT("mer_status");
        sql.SELECT("create_salesman_id");
        sql.SELECT("create_salesman_name");
        sql.SELECT("create_time");
        sql.SELECT("update_time");
        sql.SELECT("ext_1");
        sql.SELECT("ext_2");
        sql.SELECT("ext_3");
        sql.FROM("bs_mer");
        applyWhere(sql, example, false);
        
        if (example != null && example.getOrderByClause() != null) {
            sql.ORDER_BY(example.getOrderByClause());
        }
        
        return sql.toString();
    }

    public String updateByExampleSelective(Map<String, Object> parameter) {
        BsMer record = (BsMer) parameter.get("record");
        BsMerExample example = (BsMerExample) parameter.get("example");
        
        SQL sql = new SQL();
        sql.UPDATE("bs_mer");
        
        if (record.getId() != null) {
            sql.SET("id = #{record.id,jdbcType=BIGINT}");
        }
        
        if (record.getOrgNo() != null) {
            sql.SET("org_no = #{record.orgNo,jdbcType=VARCHAR}");
        }
        
        if (record.getOrgName() != null) {
            sql.SET("org_name = #{record.orgName,jdbcType=VARCHAR}");
        }
        
        if (record.getCompanyId() != null) {
            sql.SET("company_id = #{record.companyId,jdbcType=BIGINT}");
        }
        
        if (record.getCompanyName() != null) {
            sql.SET("company_name = #{record.companyName,jdbcType=VARCHAR}");
        }
        
        if (record.getAgentId() != null) {
            sql.SET("agent_id = #{record.agentId,jdbcType=BIGINT}");
        }
        
        if (record.getAgentName() != null) {
            sql.SET("agent_name = #{record.agentName,jdbcType=VARCHAR}");
        }
        
        if (record.getSalesmanId() != null) {
            sql.SET("salesman_id = #{record.salesmanId,jdbcType=BIGINT}");
        }
        
        if (record.getSalesmanName() != null) {
            sql.SET("salesman_name = #{record.salesmanName,jdbcType=VARCHAR}");
        }
        
        if (record.getRegPhone() != null) {
            sql.SET("reg_phone = #{record.regPhone,jdbcType=VARCHAR}");
        }
        
        if (record.getRegName() != null) {
            sql.SET("reg_name = #{record.regName,jdbcType=VARCHAR}");
        }
        
        if (record.getRegEmail() != null) {
            sql.SET("reg_email = #{record.regEmail,jdbcType=VARCHAR}");
        }
        
        if (record.getMerType() != null) {
            sql.SET("mer_type = #{record.merType,jdbcType=INTEGER}");
        }
        
        if (record.getMerNo() != null) {
            sql.SET("mer_no = #{record.merNo,jdbcType=VARCHAR}");
        }
        
        if (record.getMerName() != null) {
            sql.SET("mer_name = #{record.merName,jdbcType=VARCHAR}");
        }
        
        if (record.getMerAbbreviate() != null) {
            sql.SET("mer_abbreviate = #{record.merAbbreviate,jdbcType=VARCHAR}");
        }
        
        if (record.getMerOperateType() != null) {
            sql.SET("mer_operate_type = #{record.merOperateType,jdbcType=INTEGER}");
        }
        
        if (record.getMerOnlineType() != null) {
            sql.SET("mer_online_type = #{record.merOnlineType,jdbcType=INTEGER}");
        }
        
        if (record.getMerOnlineName() != null) {
            sql.SET("mer_online_name = #{record.merOnlineName,jdbcType=VARCHAR}");
        }
        
        if (record.getMerMccCode() != null) {
            sql.SET("mer_mcc_code = #{record.merMccCode,jdbcType=VARCHAR}");
        }
        
        if (record.getMerMccName() != null) {
            sql.SET("mer_mcc_name = #{record.merMccName,jdbcType=VARCHAR}");
        }
        
        if (record.getBlisUrl() != null) {
            sql.SET("blis_url = #{record.blisUrl,jdbcType=VARCHAR}");
        }
        
        if (record.getBlisName() != null) {
            sql.SET("blis_name = #{record.blisName,jdbcType=VARCHAR}");
        }
        
        if (record.getBlisNo() != null) {
            sql.SET("blis_no = #{record.blisNo,jdbcType=VARCHAR}");
        }
        
        if (record.getBlisRegAddress() != null) {
            sql.SET("blis_reg_address = #{record.blisRegAddress,jdbcType=VARCHAR}");
        }
        
        if (record.getBlisPeriodType() != null) {
            sql.SET("blis_period_type = #{record.blisPeriodType,jdbcType=INTEGER}");
        }
        
        if (record.getBlisPeriodStart() != null) {
            sql.SET("blis_period_start = #{record.blisPeriodStart,jdbcType=VARCHAR}");
        }
        
        if (record.getBlisPeriodEnd() != null) {
            sql.SET("blis_period_end = #{record.blisPeriodEnd,jdbcType=VARCHAR}");
        }
        
        if (record.getLarName() != null) {
            sql.SET("lar_name = #{record.larName,jdbcType=VARCHAR}");
        }
        
        if (record.getLarIdCard() != null) {
            sql.SET("lar_id_card = #{record.larIdCard,jdbcType=VARCHAR}");
        }
        
        if (record.getLarIdCardPortraitImg() != null) {
            sql.SET("lar_id_card_portrait_img = #{record.larIdCardPortraitImg,jdbcType=VARCHAR}");
        }
        
        if (record.getLarIdCardNationalEmblemImg() != null) {
            sql.SET("lar_id_card_national_emblem_img = #{record.larIdCardNationalEmblemImg,jdbcType=VARCHAR}");
        }
        
        if (record.getLarIdCardAddress() != null) {
            sql.SET("lar_id_card_address = #{record.larIdCardAddress,jdbcType=VARCHAR}");
        }
        
        if (record.getLarIdCardPeriodType() != null) {
            sql.SET("lar_id_card_period_type = #{record.larIdCardPeriodType,jdbcType=INTEGER}");
        }
        
        if (record.getLarIdCardPeriodStart() != null) {
            sql.SET("lar_id_card_period_start = #{record.larIdCardPeriodStart,jdbcType=VARCHAR}");
        }
        
        if (record.getLarIdCardPeriodEnd() != null) {
            sql.SET("lar_id_card_period_end = #{record.larIdCardPeriodEnd,jdbcType=VARCHAR}");
        }
        
        if (record.getCompleteStatus() != null) {
            sql.SET("complete_status = #{record.completeStatus,jdbcType=INTEGER}");
        }
        
        if (record.getMerStatus() != null) {
            sql.SET("mer_status = #{record.merStatus,jdbcType=INTEGER}");
        }
        
        if (record.getCreateSalesmanId() != null) {
            sql.SET("create_salesman_id = #{record.createSalesmanId,jdbcType=BIGINT}");
        }
        
        if (record.getCreateSalesmanName() != null) {
            sql.SET("create_salesman_name = #{record.createSalesmanName,jdbcType=VARCHAR}");
        }
        
        if (record.getCreateTime() != null) {
            sql.SET("create_time = #{record.createTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getUpdateTime() != null) {
            sql.SET("update_time = #{record.updateTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getExt1() != null) {
            sql.SET("ext_1 = #{record.ext1,jdbcType=VARCHAR}");
        }
        
        if (record.getExt2() != null) {
            sql.SET("ext_2 = #{record.ext2,jdbcType=VARCHAR}");
        }
        
        if (record.getExt3() != null) {
            sql.SET("ext_3 = #{record.ext3,jdbcType=VARCHAR}");
        }
        
        applyWhere(sql, example, true);
        return sql.toString();
    }

    public String updateByExample(Map<String, Object> parameter) {
        SQL sql = new SQL();
        sql.UPDATE("bs_mer");
        
        sql.SET("id = #{record.id,jdbcType=BIGINT}");
        sql.SET("org_no = #{record.orgNo,jdbcType=VARCHAR}");
        sql.SET("org_name = #{record.orgName,jdbcType=VARCHAR}");
        sql.SET("company_id = #{record.companyId,jdbcType=BIGINT}");
        sql.SET("company_name = #{record.companyName,jdbcType=VARCHAR}");
        sql.SET("agent_id = #{record.agentId,jdbcType=BIGINT}");
        sql.SET("agent_name = #{record.agentName,jdbcType=VARCHAR}");
        sql.SET("salesman_id = #{record.salesmanId,jdbcType=BIGINT}");
        sql.SET("salesman_name = #{record.salesmanName,jdbcType=VARCHAR}");
        sql.SET("reg_phone = #{record.regPhone,jdbcType=VARCHAR}");
        sql.SET("reg_name = #{record.regName,jdbcType=VARCHAR}");
        sql.SET("reg_email = #{record.regEmail,jdbcType=VARCHAR}");
        sql.SET("mer_type = #{record.merType,jdbcType=INTEGER}");
        sql.SET("mer_no = #{record.merNo,jdbcType=VARCHAR}");
        sql.SET("mer_name = #{record.merName,jdbcType=VARCHAR}");
        sql.SET("mer_abbreviate = #{record.merAbbreviate,jdbcType=VARCHAR}");
        sql.SET("mer_operate_type = #{record.merOperateType,jdbcType=INTEGER}");
        sql.SET("mer_online_type = #{record.merOnlineType,jdbcType=INTEGER}");
        sql.SET("mer_online_name = #{record.merOnlineName,jdbcType=VARCHAR}");
        sql.SET("mer_mcc_code = #{record.merMccCode,jdbcType=VARCHAR}");
        sql.SET("mer_mcc_name = #{record.merMccName,jdbcType=VARCHAR}");
        sql.SET("blis_url = #{record.blisUrl,jdbcType=VARCHAR}");
        sql.SET("blis_name = #{record.blisName,jdbcType=VARCHAR}");
        sql.SET("blis_no = #{record.blisNo,jdbcType=VARCHAR}");
        sql.SET("blis_reg_address = #{record.blisRegAddress,jdbcType=VARCHAR}");
        sql.SET("blis_period_type = #{record.blisPeriodType,jdbcType=INTEGER}");
        sql.SET("blis_period_start = #{record.blisPeriodStart,jdbcType=VARCHAR}");
        sql.SET("blis_period_end = #{record.blisPeriodEnd,jdbcType=VARCHAR}");
        sql.SET("lar_name = #{record.larName,jdbcType=VARCHAR}");
        sql.SET("lar_id_card = #{record.larIdCard,jdbcType=VARCHAR}");
        sql.SET("lar_id_card_portrait_img = #{record.larIdCardPortraitImg,jdbcType=VARCHAR}");
        sql.SET("lar_id_card_national_emblem_img = #{record.larIdCardNationalEmblemImg,jdbcType=VARCHAR}");
        sql.SET("lar_id_card_address = #{record.larIdCardAddress,jdbcType=VARCHAR}");
        sql.SET("lar_id_card_period_type = #{record.larIdCardPeriodType,jdbcType=INTEGER}");
        sql.SET("lar_id_card_period_start = #{record.larIdCardPeriodStart,jdbcType=VARCHAR}");
        sql.SET("lar_id_card_period_end = #{record.larIdCardPeriodEnd,jdbcType=VARCHAR}");
        sql.SET("complete_status = #{record.completeStatus,jdbcType=INTEGER}");
        sql.SET("mer_status = #{record.merStatus,jdbcType=INTEGER}");
        sql.SET("create_salesman_id = #{record.createSalesmanId,jdbcType=BIGINT}");
        sql.SET("create_salesman_name = #{record.createSalesmanName,jdbcType=VARCHAR}");
        sql.SET("create_time = #{record.createTime,jdbcType=TIMESTAMP}");
        sql.SET("update_time = #{record.updateTime,jdbcType=TIMESTAMP}");
        sql.SET("ext_1 = #{record.ext1,jdbcType=VARCHAR}");
        sql.SET("ext_2 = #{record.ext2,jdbcType=VARCHAR}");
        sql.SET("ext_3 = #{record.ext3,jdbcType=VARCHAR}");
        
        BsMerExample example = (BsMerExample) parameter.get("example");
        applyWhere(sql, example, true);
        return sql.toString();
    }

    public String updateByPrimaryKeySelective(BsMer record) {
        SQL sql = new SQL();
        sql.UPDATE("bs_mer");
        
        if (record.getOrgNo() != null) {
            sql.SET("org_no = #{orgNo,jdbcType=VARCHAR}");
        }
        
        if (record.getOrgName() != null) {
            sql.SET("org_name = #{orgName,jdbcType=VARCHAR}");
        }
        
        if (record.getCompanyId() != null) {
            sql.SET("company_id = #{companyId,jdbcType=BIGINT}");
        }
        
        if (record.getCompanyName() != null) {
            sql.SET("company_name = #{companyName,jdbcType=VARCHAR}");
        }
        
        if (record.getAgentId() != null) {
            sql.SET("agent_id = #{agentId,jdbcType=BIGINT}");
        }
        
        if (record.getAgentName() != null) {
            sql.SET("agent_name = #{agentName,jdbcType=VARCHAR}");
        }
        
        if (record.getSalesmanId() != null) {
            sql.SET("salesman_id = #{salesmanId,jdbcType=BIGINT}");
        }
        
        if (record.getSalesmanName() != null) {
            sql.SET("salesman_name = #{salesmanName,jdbcType=VARCHAR}");
        }
        
        if (record.getRegPhone() != null) {
            sql.SET("reg_phone = #{regPhone,jdbcType=VARCHAR}");
        }
        
        if (record.getRegName() != null) {
            sql.SET("reg_name = #{regName,jdbcType=VARCHAR}");
        }
        
        if (record.getRegEmail() != null) {
            sql.SET("reg_email = #{regEmail,jdbcType=VARCHAR}");
        }
        
        if (record.getMerType() != null) {
            sql.SET("mer_type = #{merType,jdbcType=INTEGER}");
        }
        
        if (record.getMerNo() != null) {
            sql.SET("mer_no = #{merNo,jdbcType=VARCHAR}");
        }
        
        if (record.getMerName() != null) {
            sql.SET("mer_name = #{merName,jdbcType=VARCHAR}");
        }
        
        if (record.getMerAbbreviate() != null) {
            sql.SET("mer_abbreviate = #{merAbbreviate,jdbcType=VARCHAR}");
        }
        
        if (record.getMerOperateType() != null) {
            sql.SET("mer_operate_type = #{merOperateType,jdbcType=INTEGER}");
        }
        
        if (record.getMerOnlineType() != null) {
            sql.SET("mer_online_type = #{merOnlineType,jdbcType=INTEGER}");
        }
        
        if (record.getMerOnlineName() != null) {
            sql.SET("mer_online_name = #{merOnlineName,jdbcType=VARCHAR}");
        }
        
        if (record.getMerMccCode() != null) {
            sql.SET("mer_mcc_code = #{merMccCode,jdbcType=VARCHAR}");
        }
        
        if (record.getMerMccName() != null) {
            sql.SET("mer_mcc_name = #{merMccName,jdbcType=VARCHAR}");
        }
        
        if (record.getBlisUrl() != null) {
            sql.SET("blis_url = #{blisUrl,jdbcType=VARCHAR}");
        }
        
        if (record.getBlisName() != null) {
            sql.SET("blis_name = #{blisName,jdbcType=VARCHAR}");
        }
        
        if (record.getBlisNo() != null) {
            sql.SET("blis_no = #{blisNo,jdbcType=VARCHAR}");
        }
        
        if (record.getBlisRegAddress() != null) {
            sql.SET("blis_reg_address = #{blisRegAddress,jdbcType=VARCHAR}");
        }
        
        if (record.getBlisPeriodType() != null) {
            sql.SET("blis_period_type = #{blisPeriodType,jdbcType=INTEGER}");
        }
        
        if (record.getBlisPeriodStart() != null) {
            sql.SET("blis_period_start = #{blisPeriodStart,jdbcType=VARCHAR}");
        }
        
        if (record.getBlisPeriodEnd() != null) {
            sql.SET("blis_period_end = #{blisPeriodEnd,jdbcType=VARCHAR}");
        }
        
        if (record.getLarName() != null) {
            sql.SET("lar_name = #{larName,jdbcType=VARCHAR}");
        }
        
        if (record.getLarIdCard() != null) {
            sql.SET("lar_id_card = #{larIdCard,jdbcType=VARCHAR}");
        }
        
        if (record.getLarIdCardPortraitImg() != null) {
            sql.SET("lar_id_card_portrait_img = #{larIdCardPortraitImg,jdbcType=VARCHAR}");
        }
        
        if (record.getLarIdCardNationalEmblemImg() != null) {
            sql.SET("lar_id_card_national_emblem_img = #{larIdCardNationalEmblemImg,jdbcType=VARCHAR}");
        }
        
        if (record.getLarIdCardAddress() != null) {
            sql.SET("lar_id_card_address = #{larIdCardAddress,jdbcType=VARCHAR}");
        }
        
        if (record.getLarIdCardPeriodType() != null) {
            sql.SET("lar_id_card_period_type = #{larIdCardPeriodType,jdbcType=INTEGER}");
        }
        
        if (record.getLarIdCardPeriodStart() != null) {
            sql.SET("lar_id_card_period_start = #{larIdCardPeriodStart,jdbcType=VARCHAR}");
        }
        
        if (record.getLarIdCardPeriodEnd() != null) {
            sql.SET("lar_id_card_period_end = #{larIdCardPeriodEnd,jdbcType=VARCHAR}");
        }
        
        if (record.getCompleteStatus() != null) {
            sql.SET("complete_status = #{completeStatus,jdbcType=INTEGER}");
        }
        
        if (record.getMerStatus() != null) {
            sql.SET("mer_status = #{merStatus,jdbcType=INTEGER}");
        }
        
        if (record.getCreateSalesmanId() != null) {
            sql.SET("create_salesman_id = #{createSalesmanId,jdbcType=BIGINT}");
        }
        
        if (record.getCreateSalesmanName() != null) {
            sql.SET("create_salesman_name = #{createSalesmanName,jdbcType=VARCHAR}");
        }
        
        if (record.getCreateTime() != null) {
            sql.SET("create_time = #{createTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getUpdateTime() != null) {
            sql.SET("update_time = #{updateTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getExt1() != null) {
            sql.SET("ext_1 = #{ext1,jdbcType=VARCHAR}");
        }
        
        if (record.getExt2() != null) {
            sql.SET("ext_2 = #{ext2,jdbcType=VARCHAR}");
        }
        
        if (record.getExt3() != null) {
            sql.SET("ext_3 = #{ext3,jdbcType=VARCHAR}");
        }
        
        sql.WHERE("id = #{id,jdbcType=BIGINT}");
        
        return sql.toString();
    }

    protected void applyWhere(SQL sql, BsMerExample example, boolean includeExamplePhrase) {
        if (example == null) {
            return;
        }
        
        String parmPhrase1;
        String parmPhrase1_th;
        String parmPhrase2;
        String parmPhrase2_th;
        String parmPhrase3;
        String parmPhrase3_th;
        if (includeExamplePhrase) {
            parmPhrase1 = "%s #{example.oredCriteria[%d].allCriteria[%d].value}";
            parmPhrase1_th = "%s #{example.oredCriteria[%d].allCriteria[%d].value,typeHandler=%s}";
            parmPhrase2 = "%s #{example.oredCriteria[%d].allCriteria[%d].value} and #{example.oredCriteria[%d].criteria[%d].secondValue}";
            parmPhrase2_th = "%s #{example.oredCriteria[%d].allCriteria[%d].value,typeHandler=%s} and #{example.oredCriteria[%d].criteria[%d].secondValue,typeHandler=%s}";
            parmPhrase3 = "#{example.oredCriteria[%d].allCriteria[%d].value[%d]}";
            parmPhrase3_th = "#{example.oredCriteria[%d].allCriteria[%d].value[%d],typeHandler=%s}";
        } else {
            parmPhrase1 = "%s #{oredCriteria[%d].allCriteria[%d].value}";
            parmPhrase1_th = "%s #{oredCriteria[%d].allCriteria[%d].value,typeHandler=%s}";
            parmPhrase2 = "%s #{oredCriteria[%d].allCriteria[%d].value} and #{oredCriteria[%d].criteria[%d].secondValue}";
            parmPhrase2_th = "%s #{oredCriteria[%d].allCriteria[%d].value,typeHandler=%s} and #{oredCriteria[%d].criteria[%d].secondValue,typeHandler=%s}";
            parmPhrase3 = "#{oredCriteria[%d].allCriteria[%d].value[%d]}";
            parmPhrase3_th = "#{oredCriteria[%d].allCriteria[%d].value[%d],typeHandler=%s}";
        }
        
        StringBuilder sb = new StringBuilder();
        List<Criteria> oredCriteria = example.getOredCriteria();
        boolean firstCriteria = true;
        for (int i = 0; i < oredCriteria.size(); i++) {
            Criteria criteria = oredCriteria.get(i);
            if (criteria.isValid()) {
                if (firstCriteria) {
                    firstCriteria = false;
                } else {
                    sb.append(" or ");
                }
                
                sb.append('(');
                List<Criterion> criterions = criteria.getAllCriteria();
                boolean firstCriterion = true;
                for (int j = 0; j < criterions.size(); j++) {
                    Criterion criterion = criterions.get(j);
                    if (firstCriterion) {
                        firstCriterion = false;
                    } else {
                        sb.append(" and ");
                    }
                    
                    if (criterion.isNoValue()) {
                        sb.append(criterion.getCondition());
                    } else if (criterion.isSingleValue()) {
                        if (criterion.getTypeHandler() == null) {
                            sb.append(String.format(parmPhrase1, criterion.getCondition(), i, j));
                        } else {
                            sb.append(String.format(parmPhrase1_th, criterion.getCondition(), i, j,criterion.getTypeHandler()));
                        }
                    } else if (criterion.isBetweenValue()) {
                        if (criterion.getTypeHandler() == null) {
                            sb.append(String.format(parmPhrase2, criterion.getCondition(), i, j, i, j));
                        } else {
                            sb.append(String.format(parmPhrase2_th, criterion.getCondition(), i, j, criterion.getTypeHandler(), i, j, criterion.getTypeHandler()));
                        }
                    } else if (criterion.isListValue()) {
                        sb.append(criterion.getCondition());
                        sb.append(" (");
                        List<?> listItems = (List<?>) criterion.getValue();
                        boolean comma = false;
                        for (int k = 0; k < listItems.size(); k++) {
                            if (comma) {
                                sb.append(", ");
                            } else {
                                comma = true;
                            }
                            if (criterion.getTypeHandler() == null) {
                                sb.append(String.format(parmPhrase3, i, j, k));
                            } else {
                                sb.append(String.format(parmPhrase3_th, i, j, k, criterion.getTypeHandler()));
                            }
                        }
                        sb.append(')');
                    }
                }
                sb.append(')');
            }
        }
        
        if (sb.length() > 0) {
            sql.WHERE(sb.toString());
        }
    }
}